> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/data-access/object-types/access-request.md).

# AccessRequest

Represents an access request object in the system.

```graphql
type AccessRequest {
  accessControlList(
    after: String
    filter: AccessRequestAccessControlListFilterInput
    limit: Int
    order: [AccessRequestOrderByWhoInput!]
    search: String
  ): AccessControlConnectionResult!
  anyExpirationAllowed: Boolean!
  calculateIndividualOutcome(whatId: ID, whoId: ID): AccessRequestOutcome!
  closedAt: Time
  createdAt: Time!
  createdBy: User
  description: String!
  id: ID!
  implementationAssignees: [AccessRequestAssigneeIdentity]
  implementationExpiresAt: Time
  modifiedAt: Time!
  name: String
  outcome: AccessRequestOutcome!
  processingSteps: [AccessRequestStatus!]
  status: AccessRequestStatus!
  unpackedUserList(
    after: String
    limit: Int
    order: [AccessRequestOrderByWhoInput!]
    search: String
  ): UserConnectionResult!
  userList(
    after: String
    limit: Int
    order: [AccessRequestOrderByWhoInput!]
    search: String
  ): UserConnectionResult!
  whatList(
    after: String
    filter: AccessRequestWhatItemFilterByInput
    limit: Int
  ): AccessRequestWhatItemConnectionResult!
}
```

### Fields

#### accessControlList ● [`AccessControlConnectionResult!`](/api/graphql/data-access/unions/access-control-connection-result.md) non-null union <a href="#access-control-list" id="access-control-list"></a>

The list of access controls for which the access is requested.

**after ●** [**`String`**](/api/graphql/data-access/scalars/string.md) **scalar**

**filter ●** [**`AccessRequestAccessControlListFilterInput`**](/api/graphql/data-access/input-types/access-request-access-control-list-filter-input.md) **input**

**limit ●** [**`Int`**](/api/graphql/data-access/scalars/int.md) **scalar**

**order ●** [**`[AccessRequestOrderByWhoInput!]`**](/api/graphql/data-access/input-types/access-request-order-by-who-input.md) **list input**

**search ●** [**`String`**](/api/graphql/data-access/scalars/string.md) **scalar**

#### anyExpirationAllowed ● [`Boolean!`](/api/graphql/data-access/scalars/boolean.md) non-null scalar <a href="#any-expiration-allowed" id="any-expiration-allowed"></a>

If true, any expiration can be set by the implementer to satisfy the request.

#### calculateIndividualOutcome ● [`AccessRequestOutcome!`](/api/graphql/data-access/enumerations/access-request-outcome.md) non-null enum <a href="#calculate-individual-outcome" id="calculate-individual-outcome"></a>

Fetch the outcome for the given WHAT item and WHO item. This answers the question if a specific entity in the WHO list already has access to the given WHAT item or not.

**whatId ●** [**`ID`**](/api/graphql/data-access/scalars/id.md) **scalar**

**whoId ●** [**`ID`**](/api/graphql/data-access/scalars/id.md) **scalar**

#### closedAt ● [`Time`](/api/graphql/data-access/scalars/time.md) scalar <a href="#closed-at" id="closed-at"></a>

If closed, this is the date the access request was closed.

#### createdAt ● [`Time!`](/api/graphql/data-access/scalars/time.md) non-null scalar <a href="#created-at" id="created-at"></a>

Timestamp when the access request was created.

#### createdBy ● [`User`](/api/graphql/data-access/object-types/user.md) object <a href="#created-by" id="created-by"></a>

The user that created the access request.

#### description ● [`String!`](/api/graphql/data-access/scalars/string.md) non-null scalar <a href="#description" id="description"></a>

The description of the access request.

#### id ● [`ID!`](/api/graphql/data-access/scalars/id.md) non-null scalar <a href="#id" id="id"></a>

Unique identifier of the access request.

#### implementationAssignees ● [`[AccessRequestAssigneeIdentity]`](/api/graphql/data-access/unions/access-request-assignee-identity.md) list union <a href="#implementation-assignees" id="implementation-assignees"></a>

The list of assignees for implementing the access request.

#### implementationExpiresAt ● [`Time`](/api/graphql/data-access/scalars/time.md) scalar <a href="#implementation-expires-at" id="implementation-expires-at"></a>

The expiration time that was requested.

#### modifiedAt ● [`Time!`](/api/graphql/data-access/scalars/time.md) non-null scalar <a href="#modified-at" id="modified-at"></a>

Timestamp when the access request was last modified.

#### name ● [`String`](/api/graphql/data-access/scalars/string.md) scalar <a href="#name" id="name"></a>

The display name for the access request.

#### outcome ● [`AccessRequestOutcome!`](/api/graphql/data-access/enumerations/access-request-outcome.md) non-null enum <a href="#outcome" id="outcome"></a>

The outcome of the access request.

#### processingSteps ● [`[AccessRequestStatus!]`](/api/graphql/data-access/enumerations/access-request-status.md) list enum <a href="#processing-steps" id="processing-steps"></a>

The list of status steps the access requests needs to go through.

#### status ● [`AccessRequestStatus!`](/api/graphql/data-access/enumerations/access-request-status.md) non-null enum <a href="#status" id="status"></a>

The current status of the access request.

#### unpackedUserList ● [`UserConnectionResult!`](/api/graphql/data-access/unions/user-connection-result.md) non-null union <a href="#unpacked-user-list" id="unpacked-user-list"></a>

The unpacked list of users for which the access is requested.

**after ●** [**`String`**](/api/graphql/data-access/scalars/string.md) **scalar**

**limit ●** [**`Int`**](/api/graphql/data-access/scalars/int.md) **scalar**

**order ●** [**`[AccessRequestOrderByWhoInput!]`**](/api/graphql/data-access/input-types/access-request-order-by-who-input.md) **list input**

**search ●** [**`String`**](/api/graphql/data-access/scalars/string.md) **scalar**

#### userList ● [`UserConnectionResult!`](/api/graphql/data-access/unions/user-connection-result.md) non-null union <a href="#user-list" id="user-list"></a>

The list of users for which the access is requested (beneficiaries).

**after ●** [**`String`**](/api/graphql/data-access/scalars/string.md) **scalar**

**limit ●** [**`Int`**](/api/graphql/data-access/scalars/int.md) **scalar**

**order ●** [**`[AccessRequestOrderByWhoInput!]`**](/api/graphql/data-access/input-types/access-request-order-by-who-input.md) **list input**

**search ●** [**`String`**](/api/graphql/data-access/scalars/string.md) **scalar**

#### whatList ● [`AccessRequestWhatItemConnectionResult!`](/api/graphql/data-access/unions/access-request-what-item-connection-result.md) non-null union <a href="#what-list" id="what-list"></a>

The list of items that the requester is access to.

**after ●** [**`String`**](/api/graphql/data-access/scalars/string.md) **scalar**

**filter ●** [**`AccessRequestWhatItemFilterByInput`**](/api/graphql/data-access/input-types/access-request-what-item-filter-by-input.md) **input**

**limit ●** [**`Int`**](/api/graphql/data-access/scalars/int.md) **scalar**

### Member Of

[`AccessControlFromAccessRequest`](/api/graphql/data-access/object-types/access-control-from-access-request.md) object ● [`AccessControlWithOptionalAccessRequests`](/api/graphql/data-access/object-types/access-control-with-optional-access-requests.md) object ● [`AccessRequestEdge`](/api/graphql/data-access/object-types/access-request-edge.md) object

### Implemented By

[`AccessRequestResult`](/api/graphql/data-access/unions/access-request-result.md) union


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/data-access/object-types/access-request.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
